Bug 220847 - fail to build on PPC
fail to build on PPC
Product: Fedora
Classification: Fedora
Component: autogen (Show other bugs)
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
Depends On:
Blocks: F-ExcludeArch-ppc
  Show dependency treegraph
Reported: 2006-12-27 16:55 EST by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-28 09:15:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2006-12-27 16:55:25 EST
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Jason Tibbitts 2006-12-27 18:49:12 EST
This bug is just a bit short on info, I'd say.
Comment 2 Paul F. Johnson 2006-12-27 18:54:50 EST
True - I hit go too quickly ;-)

I've found with quite packages fail on the PPC/PPC64 when they work fine on the
x86/x86_64 builds. Usually it's smp_mflags, but it's things which shouldn't trip
them up going kerfewy (in one case, it built under x86 and x86_64 in mock
without a problem but died hideously under PPC as part of glibc [IIRC] was not
ported to PPC - this was a while back and may be fixed now).

It seems to me that PPC is a law unto itself where things which build under PPC
will fail under PPC64, but as there isn't an ExcludeArch PPC64, both the PPC and
PPC64 suffer.
Comment 3 David Woodhouse 2006-12-28 06:18:07 EST
We don't build Extras for ppc64. I'm not entirely sure what you're saying.
There's certainly no part of glibc which was not ported to PowerPC -- perhaps
you're thinking of dietlibc, which tripped over a compiler bug?

If you've filed a temporary ExcludeArch for autogen, please make sure it gets
fixed quickly. If you need access to a PowerPC machine for testing, let me know.
Comment 4 David Woodhouse 2006-12-28 08:35:10 EST
Builds outside mock work fine on FC-5 (after removing the ExcludeArch) and FC-6.
What error were you seeing?
Comment 5 David Woodhouse 2006-12-28 09:15:22 EST
It built in mock for FC-5 too. Fixed in 5.8.7-6.1.fc5

Note You need to log in before you can comment on or make changes to this bug.